Developers
V1SocialSuggestions

Discover approved public profiles that opted into discovery

Unranked UUID-paginated directory. Omits self, existing or pending follows, deleted, blocked and muted profiles. Uses no contacts, health data or private memberships. Maximum 50 profiles.

GET
/v1/social/suggestions
AuthorizationBearer <token>

In: header

Query Parameters

cursor?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
limit?integer
Range1 <= value <= 50
Default20

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/social/suggestions"
{  "profiles": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "alias": "string",      "handle": "string",      "visibility": "private",      "followerCount": 0,      "followingCount": 0,      "following": "none",      "followedBy": true,      "muted": true,      "canViewConnections": false    }  ],  "nextCursor": "53a4a333-2825-45a4-80d2-5f430d088f36"}